# Contributing to share_to_reels_android
Note that this project is a sample app to the share to reels integration only. We're happy to accept bug fixes, but if you'd like to add new features beyond the scope of this example, we encourage you to fork the code.

We want to make contributing to this project as easy and transparent as
possible.

## Pull Requests
We welcome your pull requests for any bug fixes.

1. Fork the repo and create your branch from `main`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. If you haven't already, complete the Contributor License Agreement ("CLA").

## Contributor License Agreement ("CLA")
In order to accept your pull request, we need you to submit a CLA. You only need
to do this once to work on any of Meta's open source projects.

Complete your CLA here: <https://code.facebook.com/cla>

## Issues
We use GitHub issues to track public bugs. Please ensure your description is
clear and has sufficient instructions to be able to reproduce the issue.

Meta has a [bounty program](https://www.facebook.com/whitehat/) for the safe
disclosure of security bugs. In those cases, please go through the process
outlined on that page and do not file a public issue.

## License
By contributing to share_to_reels_android, you agree that your contributions will be licensed
under the LICENSE file in the root directory of this source tree.
